@import url('https://fonts.googleapis.com/css?family=Questrial');

* {
	margin: 0;
	padding: 0;
	font-family: 'Questrial', sans-serif;
	font-size: 16px;
	line-height: 2em;
	letter-spacing: 0.2em;
	text-align: center;
	box-sizing: border-box;
	font-weight: normal;
}
img {
    max-width: 100%;
    height: auto;
}
a {
    color: #d4e4fd;
}

/***** fade *****/

.fade {
	opacity: 0;
	transform: translate(0,50px); 
	-webkit-transform: translate(0,50px);
	transition: 1s;
}
.fade.active {
	opacity: 1;
	transform: translate(0,0); 
	-webkit-transform: translate(0,0);
}

/***** index.html *****/


h1 {
	color: #fff;
	padding: 100px 0 50px;
	font-size: 3em;
	letter-spacing: 0.8em;
	font-weight: bold;
}

/*チェックボックス等を非表示に*/
.nav-unshown {
	display:none;
}
#nav-open {
	display: none;
}

.menubar {
	list-style: none;
	position: fixed;
	top: 0;
	right: 0;
	z-index: 1;
}

li {
	color: #fff;
	display: inline-block;
	padding: 15px 45px 0 0;
}

li a {
	text-decoration: none;
	color: #fff;
	position: relative;
	display: inline-block;
	transition: .3s;
}

li a::after {
	position: absolute;
	bottom: 0;
	left: 50%;
	content: '';
	width: 0;
	height: 1.7px;
	background-color: #fff;
	transition: .2s;
	transform: translateX(-50%);
}
li a:hover::after {
	width: 100%;
}


header {
	background-color: #a98ff7;
	height: 700px;
	display: flex;
	align-items: center;
	justify-content: center;
	position: relative;
	z-index: -1;
}

header img {
	width: 100%;
	max-width:800px;
}

#news {
	background: url(img/bg.png) fixed;
	height: auto;
	padding-bottom: 100px;
}

.newsbox {
	max-width: 800px;
	height: auto;
	margin: 0 auto;
	padding: 0 10px;
	border-radius: 20px;
	color: #fff;
}

table {
	border-spacing: 15px;
	//padding: 0 50px;
}

th,td {
	text-align: left;
}

th {
	font-size: 1.2em;
}

td {
	margin-bottom: 50px;
	font-size: 0.9em;
	display: inline-block;
}

.headline {
	border-bottom: 0.5px #fff solid;
}


#about {
	color: #fff;
	background-color: #000;
	height: auto;
	position: relative;
	z-index:-1
}

.trans {
	position: fixed;
	left:0;
	top: 0;
	z-index: -1;
	height: 1000px;
	width: auto;
}

.about_logo {
	max-width: 400px;
	width: 100%;
	padding: 50px 0 0;
}

#about p {
	line-height: 4em;
	width: 90%;
	max-width: 800px;
	margin: 0 auto;
	padding-bottom: 400px;
}

.about_photo {
	width: 100%;
	max-width: 640px;
	position: absolute;
	bottom: 0;
	left: 0;
	right: 0;
	margin: auto;
	z-index: -3;
	opacity: 0.8;
}




#works {
	background: url(img/bg.png) fixed;
	height: auto;
	padding-bottom: 50px;
}

.workbox {
	max-width: 800px;
	width: auto;
	height: auto;
	margin: 0 auto 80px;
	padding: 0 25px;
	color: #fff;
	text-align: left;
}

.workbox img {
	width: 100%;
	border: #fff solid 5px;
}

.imglink {
	position: relative;
}

.imgmask {
	position: absolute;
	width: 100%;
	height: 97.5%;
	top: 0;
	left: 0;
	font-size: 3em;
	display: flex;
	justify-content: center;
	align-items: center;
	opacity: 0;
	transition-duration: 0.5s;
	color: #fff;
	text-decoration: none;
}

.imgmask:hover {
	background-color: black;
	opacity: 0.7;
}

.workbox h3 {
	margin-top: 20px;
	font-size: 0.8em;
	display: inline-block;
}

.workbox h2 {
	font-size: 2em;
	text-align: left;
	border-bottom: solid 1px;
	margin-bottom: 20px;
}

.workbox p {
	text-align: left;
	margin-bottom: 20px;
}

.workbox h4 {
	text-align: right;
}

#text {
	background: url(img/girlbg.jpg) fixed;
	height: 600px;
}
.textbox {
	background: rgba(230, 230, 230, 0.7);
	max-width: 600px;
	width: 85%;
	height: auto;
	margin: 0 auto 100px;
	padding: 30px 20px;
	border-radius: 20px;
}

#text h1 {
	color: #a98ff7;
}


.textbox p {
	padding-bottom : 20px;
	
}
.button {
	background-color: #a98ff7;
	border-radius: 50px;
	color: #fff;
	font-size: 1.5em;
	text-decoration: none;
	//width: 200px;
	//height: 50px;
	margin: 0 auto;
	padding: 10px 20px;
	display: inline-block;
	transition: .5s;
}

.button:hover {
	animation: zoom .7s;
	background-color: #f3ac23;
}


footer {
	background: url(img/bg_trans.png) center 100px fixed #000;
	color: #fff;
	height: 100px;
	display: flex;
	align-items: center;
	justify-content: center;
}

/***** text001.html *****/

.leftgirl {
	position: fixed;
	top: 10%;
	left: 7%;
	width: 130px;
	height: auto;
	opacity: 0.6;
	animation: fuwaleft 7s infinite;
	transform: rotate(100deg);
	z-index: 1;
}

@keyframes fuwaleft {
	0% {transform: translate(0px, 0px) rotateZ(100deg)}
	50% {transform: translate(0px, 20px) rotateZ(100deg)}
	100% {transform: translate(0px, 0px) rotateZ(100deg)}
}

.rightgirl {
	position: fixed;
	bottom: 25%;
	right: 7%;
	width: 80px;
	height: auto;
	opacity: 0.5;
	animation: fuwaright 7s infinite;
	transform: rotate(100deg);
}

@keyframes fuwaright {
	0% {transform: translate(0px, 0px) rotateZ(-100deg)}
	50% {transform: translate(0px, 30px) rotateZ(-100deg)}
	100% {transform: translate(0px, 0px) rotateZ(-100deg)}
}

.diary {
	background: url(img/bg.png) fixed;
	padding-bottom: 100px;
}

.diarytext {
	max-width: 750px;
	width: 80%;
	height: auto;
	margin: 0 auto;
	color: #fff;
	position: relative;
	z-index: 2;
}

.diarytext h2 {
	font-size: 2em;
	margin: 80px 0;
	letter-spacing: 0.8em;
	border-bottom: 1px #fff solid;
	display: inline-block;
}

.diarytext p {
	text-align: left;
	padding-bottom: 80px;
	font-size: 1.2em;
	line-height: 3.5em;
	letter-spacing: 0.3em;
}

.diarytext h3 {
	text-align: right;
	font-weight: normal;
	font-size: 0.8em;
	padding: 0 100px 200px 0;
}

.nextdiary {
	position: relative;
}

.nextbutton {
	background-color: #f3ac23;
	border-radius: 50px;
	color: #fff;
	font-size: 1.5em;
	text-decoration: none;
	margin: 0 auto;
	padding: 10px 20px;
	position: relative;
	z-index: 1;

	display: inline-block;
	margin-bottom: 200px;
	animation: hurueru .7s  infinite;
}

.nextbutton:hover {
	animation-play-state: paused;
	animation: zoom .3s;
}

@keyframes hurueru {
	0% {transform: translate(0px, 0px) rotateZ(0deg)}
	25% {transform: translate(0px, 0px) rotateZ(3deg)}
	50% {transform: translate(0px, 0px) rotateZ(0deg)}
	75% {transform: translate(0px, 0px) rotateZ(-3deg)}
	100% {transform: translate(0px, 0px) rotateZ(0deg)}
}

@keyframes zoom {
	50% {
		transform: scale(1.05);
	}
}



.girl {
	position: absolute;
	top: 10px;
	left: 60%;
	width: 100px;
	height: auto;
	
	display: inline-block;
	animation: fuwafuwa 5s infinite;
}

.girl:hover {
	transform: rotate(1turn);
}

@keyframes fuwafuwa {
	0% {transform: translate(0px, 0px) rotateZ(0deg)}
	50% {transform: translate(0px, 20px) rotateZ(0deg)}
	100% {transform: translate(0px, 0px) rotateZ(0deg)}
}


@media screen and (max-width:768px) {
	
	* {
		font-size: 13px;
	}
	
	h1 {
		text-align: left;
		padding-left: 40px;
		letter-spacing: 0.4em;
	}
	
	th,td {
		display: block;
		margin: 0 15px;
	}
	
	br {
		display: none;
	}
	
	#about p {
		padding: 0 20px 60%;
		line-height: 2.5em;
		text-align: left;
	}
	
	.workbox {
		margin: 10px;
	}
	
	.textbox p {
		text-align: left;
	}
	
	#text h1 {
		text-align: center;
	}
	
	.diary h1 {
		text-align: center;
	}
	
	.diarytext h2 {
		font-size: 
		letter-spacing: 0.5em;
	}

	/*アイコンのスペース*/
	#nav-open {
		display: inline-block;
		width: 30px;
		height: 22px;
		vertical-align: middle;
		margin: 20px;
	}

	/*ハンバーガーアイコンをCSSだけで表現*/
	#nav-open span, #nav-open span:before, #nav-open span:after {
		position: absolute;
		height: 3px;/*線の太さ*/
		width: 25px;/*長さ*/
		border-radius: 3px;
		background: #fff;
		display: block;
		content: '';
		cursor: pointer;
	}
	#nav-open span:before {
		bottom: -8px;
	}
	#nav-open span:after {
		bottom: -16px;
	}

	/*閉じる用の薄黒カバー*/
	#nav-close {
		display: none;/*はじめは隠しておく*/
		position: fixed;
		z-index: 99;
		top: 0;/*全体に広がるように*/
		left: 0;
		width: 100%;
		height: 100%;
		background: black;
		opacity: 0;
		transition: .3s ease-in-out;
	}

	/*中身*/
	#nav-content {
		overflow: auto;
		position: fixed;
		top: 0;
		right: 0;
		z-index: 9999;/*最前面に*/
		width: 45%;/*右側に隙間を作る（閉じるカバーを表示）*/
		max-width: 330px;/*最大幅（調整してください）*/
		height: 100%;
		background: #000;/*背景色*/
		transition: .3s ease-in-out;/*滑らかに表示*/
		transform: translateY(-105%);/*左に隠しておく*/
	}

	/*チェックが入ったらもろもろ表示*/
	#nav-input:checked ~ #nav-close {
		display: block;/*カバーを表示*/
		opacity: .5;
	}

	#nav-input:checked ~ #nav-content {
		-webkit-transform: translateX(0%);
		transform: translateX(0%);/*中身を表示（スライド）*/
		box-shadow: 6px 0 25px rgba(0,0,0,.15);
	}

	li {
		display: block;
		text-align: left;
	}

	li a {
		font-size: 1.5em;
		padding: 20px 0;
	}
}
